/*******************************************************************************

WePhoto - Photo viewer for multi-touch devices
Copyright (C) 2010 Mihai Paslariu
Original Name MihPhoto
Adapted for WeTab 2011 by Peter Herzog www.pherzog.net

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.

*******************************************************************************/

#ifndef __CONFIG_H__
#define __CONFIG_H__

#include <QColor>
#include <QString>

#define CONFIG_FILE ".wephoto.config"

struct Config
{
	// persistent
	QColor background;
	bool multitouch;
	int drag_sensitivity;
	int flip_distance;
	int dragspeed;
	double min_zoom;
	double max_zoom;
	bool show_file_name;
	bool rotate_by_exif;
	bool allow_rotation;
	bool double_click_fullscreen;
	double zoom_speed;
	QString last_open_dir;

	// not persistent
	QString current_dir;
	QString install_dir;
public:

	Config();

public:

	bool save( void );
	bool load( void );

private:

	QString _fromColor( QColor &c );
	QColor _toColor( QString &s );
	QString _fromBool( bool b );
	bool _toBool( QString &s );
	bool _dirExists( QString s );
};

#ifdef __CONFIGURATION_MAIN__
	Config g_config;
#else
	extern Config g_config;
#endif

#endif
